#!/bin/bash

echo "FR Mettre le processeur en mode performances (important pour atlas)"
echo "FR    + sous kde clic droit sur kpowersave "
echo "FR       -> Définir les règles de fréquence du processeur"
echo "FR       -> Performances"
echo "FR    + avec les cpufrequtils en root : cpufreq-set -g performance"
echo "FR    + Vous pouvez aussi exécuter en root le script performance.sh"
echo
echo "FR Si ce n'est pas fait tapez <Ctrl> C pour interrompre "
echo "FR  sinon continuez avec <Entree>"
echo
echo "EN Processor must be in performance mode (important for atlas)"
echo "EN    + under kde right-clic on kpowersave "
echo "EN       -> Processor frequency rules"
echo "EN       -> Performances"
echo "EN    + with cpufrequtils under root : cpufreq-set -g performance"
echo "EN    + you can also launch as root the script performance.sh"
echo
echo "EN If it is not the case type <Ctrl> C to interrupt now "
echo "EN  otherwise continue with  <Enter>"




read a

# Unpack lapack archive
echo "Archive lapack (netlib)"
tar xzf lapack-3.3.0.tgz

# Compilation lapack
cp make.inc.gfortran.lapack lapack-3.3.0/make.inc
cp Makefile.lapack lapack-3.3.0/SRC/Makefile
cd lapack-3.3.0
make lapacklib
cd ..

# Unpack atlas archive
echo "Archive atlas"
tar xjf atlas3.8.3.tar.bz2
cd ATLAS
mkdir build
mkdir install
cd build
../configure  --prefix=../install --with-netlib-lapack=../../lapack-3.3.0/lapack_LINUX.a -Fa alg -fPIC
make
make install
# make and install shared libraries
cd lib
make shared
make ptshared
cp *.so ../../install/lib




